package cs

import (
	"fmt"
	"testing"
)

/**
 * 客服工单服务，单元测试
 */

// 获取faq树状数据
func TestGetFaq(t *testing.T) {
	client, newErr := NewClient()
	if newErr != nil {
		panic(newErr)
	}

	req := CreateGetFaqRequest()
	faq, err := client.GetFaq(req)
	if err != nil {
		t.Error(err)
		return
	}

	fmt.Printf(fmt.Sprintf("%#+v", faq))
}

// 获取玩家基本信息
func TestGetUserInfo(t *testing.T) {
	client, newErr := NewClient()
	if newErr != nil {
		panic(newErr)
	}
	req := CreateGetUserInfoRequest("ws45265737")
	info, err := client.GetUserInfo(req)
	if err != nil {
		t.Error(err)
		return
	}

	fmt.Printf(fmt.Sprintf("%v", info))
}

// 获取玩家角色列表
func TestGetUserRoleList(t *testing.T) {
	client, newErr := NewClient()
	if newErr != nil {
		panic(newErr)
	}
	req := CreateGetUserRoleListRequest(int64(63610626), int64(2850))
	info, err := client.GetCsUserRoleList(req)
	if err != nil {
		t.Error(err)
		return
	}
	if info.Code != 0 {
		t.Error("获取玩家角色列表失败")
		fmt.Printf(fmt.Sprintf("%v", info))
		return
	}
	fmt.Printf(fmt.Sprintf("%v", info))
}
